Subject: Re: [PATCH v2 6/6] fetch: centralize printing of reference updates

From: Junio C Hamano <[email-masked]>
Date: Wed, 29 Mar 2023 11:45:15 -0700

Jonathan Tan <[email-masked]> writes:

> Thanks. Patches 1-5 look good to me. As for this patch, I'm still not
> convinced (I thought that the new mode would still print to stderr), but
> if other reviewers are OK with it then that's fine. Alternatively, patch
> 6 could go with the next set of patches that implement the new mode of
> printing ref updates.

When further changes to the display_ref_update() starts doing
something iffy, we may still want to block them at that time, but
unless I am grossly misreading this patch, I do not think this one
changes the behaviour to start showing the ref update notification
to anywhere other than the standard error stream at this stage, and
the changes in this step can be evaluated for its "clean-up" value
alone.  

So I am inclined to say that we should take it as-is.

Thanks.